﻿/*Smily*/

@font-face {
    font-family: "BYekan";
    src: url("https://www.airport.ir/documents/10228/67991640/BYekan.ttf/0d351d71-0a66-4f53-8cd5-4e3d01de4135") format("truetype");
}

* {
    direction: rtl !important;
}

form#applicationForm fieldset:not(:first-of-type),
#plotTable {
    display: none;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
pre,
label,
li,
ul,
ol,
textarea {
    font-family: Samim, "Open Sans", "iransans", Helvetica, Geneva, Verdana, sans-serif !important;
}

.royal-smiley-panel {
    position: fixed;
    width: 275px;
    background-color: #ffffff;
    border-bottom-right-radius: 13px;
    border-top-right-radius: 13px;
    border: 1px solid #dbe0e7;
    line-height: 20px;
    top: 50% !important;
    padding-top: 20px;
    padding-bottom: 10px !important;
    left: -110px;
    height: auto;
    font-size: 16px;
    padding-bottom: 15px;
    z-index: 99999;
    font-family: BYekan;
    transition: transform 400ms, opacity 400ms, right 400ms;
    transform: translate(-50%, -50%) !important;
}

.royal-smiley-panel:hover {
    box-shadow: 0px 0px 80px rgba(68, 73, 79, 0.25);
    width: 280px;
}

.royal-smiley-panel .royal-smiley-question {
    /*border-bottom: solid 1px rgba(0, 0, 0, 0.19);*/
    padding-bottom: 15px;
    padding-right: 10px;
    margin-right: 5px;
    left: 10px;
    font-size: 12.8px;
    text-align: center;
    width: 100%;
}

.royal-smiley-question {
    font-size: 12.8px;
}

.royal-smiley-panel .royal-smiley-royal {
    bottom: -23px;
    right: 34%;
    background-color: #ffffff;
    width: 50px;
    padding-right: 10px;
    position: relative;
}

.royal-smiley-panel .royal-smiley-royal a {
    text-decoration: none;
    color: #808080;
}

.royal-smiley-panel .royal-smiley-royal a:hover {
    text-decoration: none;
    color: #6c6b6b;
}

.royal-smiley-panel .royal-smiley-button {
    height: 100%;
    width: 28px;
    background-color: #ffffff;
    top: 0;
    right: 0;
    position: absolute;
    cursor: pointer;
    border-radius: 14px !important
}

.royal-smiley-panel i {
    position: absolute;
    top: 40%;
    bottom: auto;
    right: 5px;
    font-size: 20px;
}

.royal-smiley-panel .royal-smiley-vote {
    width: 100%;
    padding-bottom: 15px;
    padding-right: 50px;
    padding-top: 20px;
    text-align: right;
}

.royal-smiley-panel .royal-smiley-vote-logo {
    width: 20%;
    display: inline-block;
    cursor: pointer;
}

.royal-smiley-panel .royal-smiley-vote-logo img {
    width: 45px;
}

.royal-smiley-panel .royal-smiley-vote-logo img:hover {
    opacity: 0.8;
}

.royal-smiley-panel .royal-smiley-textbox {
    padding-right: 28px;
    padding-left: 10px;
    margin-bottom: 10px;
}

.royal-smiley-panel .royal-smiley-textbox textarea {
    resize: none;
    border: solid 1px #cfcfcf;
    width: 100%;
    height: 100%;
    font-family: BYekan;
    font-size: 16px !important;
    overflow: auto;
    box-sizing: border-box;
    border-radius: 0;
    background-color: #ffffff;
    color: #808080;
}

.royal-smiley-panel .royal-smiley-submit {
    padding-right: 28px;
    margin-top: 5px;
    text-align: right;
    display: flex;
    justify-content: center;
}

.royal-smiley-panel .royal-smiley-submit input {
    overflow: auto;
    box-sizing: border-box;
    font-weight: lighter;
    background-color: #ffffff;
    border: solid 1px #cfcfcf;
    border-radius: 0;
    font-size: 14px;
    border-radius: 0;
    font-family: BYekan;
}

.royal-smiley-panel .royal-smiley-sendbtn {
    display: inline-block;
    width: 45%;
    margin-left: 5px;
}

.royal-smiley-panel .royal-smiley-cancelbtn {
    display: inline-block;
    width: 45%;
    /* float: left; */
    padding-left: 10px;
}


/*Smily*/

#smileyverygood {
    background-image: url("https://www.airport.ir/documents/10228/67991635/0.png");
    background-repeat: no-repeat;
    background-size: cover;
    width: 35px;
    height: 35px;
    background-color: #ffffff;
    margin-left: 12px;
}

#smileygood {
    background-image: url("https://www.airport.ir/documents/10228/67991635/01.png");
    background-repeat: no-repeat;
    background-size: cover;
    width: 35px;
    height: 35px;
    background-color: #ffffff;
    margin-left: 12px;
}

#smileybad {
    background-image: url("https://www.airport.ir/documents/10228/67991635/01-1.png");
    background-repeat: no-repeat;
    background-size: cover;
    width: 35px;
    height: 35px;
    background-color: #ffffff;
    margin-left: 12px;
}

#smileyverybad {
    background-image: url("https://www.airport.ir/documents/10228/67991635/01-2.png");
    background-repeat: no-repeat;
    background-size: cover;
    width: 35px;
    height: 35px;
    background-color: #ffffff;
    margin-left: 12px;
}

.smiley-btn {
    width: 100%;
    font-family: BYekan;
    height: 30px;
    cursor: pointer;
    color: #535353;
}

.smiley-btn:hover {
    background-color: #e9e9e9 !important;
}

.royal-smiley-message {
    position: fixed;
    width: 270px;
    background-color: #fbfbfb;
    color: #808080;
    padding-right: 5px;
    border: 1px solid #dbe0e7;
    line-height: 20px;
    top: 35%;
    text-align: center;
    display: none;
    font-size: 18px;
    padding-bottom: 15px;
    z-index: 99998;
    direction: rtl;
    font-family: BYekan;
    letter-spacing: 0;
    height: 170px;
    border-top-right-radius: 35px;
    border-bottom-right-radius: 35px;
    left: -270px;
}

.royal-smiley-message span {
    top: 80px;
    right: 5px;
    position: absolute;
    width: 100%;
}

.royal-smiley-message span {
    top: 80px;
    right: 5px;
    position: absolute;
    width: 100%;
}

.survey-text {
    position: relative;
    height: 100% !important;
    color: #fff;
    display: inline-block;
    overflow-wrap: normal !important;
    word-break: normal !important;
    word-wrap: normal !important;
    white-space: nowrap !important;
    filter: progid: DXImageTransform.Microsoft.BasicImage(rotation=2);
    cursor: pointer;
    -webkit-writing-mode: vertical-rl;
    -moz-writing-mode: vertical-rl;
    -ms-writing-mode: tb-lr;
    -o-writing-mode: vertical-rl;
    writing-mode: vertical-rl;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
}

#text-smily {
    position: absolute !important;
    /*bottom: auto !important;*/
    top: 50% !important;
    right: -8px !important;
    color: #000;
    transform: translate(-50%, -50%) !important;
}

.form-control:focus {
    color: #495057;
    background-color: #fff;
    border-color: gray;
    outline: 0;
    box-shadow: none;
}

.btn-skip {
    font-size: 14px !important;
    line-height: 1em !important;
    border: none !important;
    padding: 9px 20px !important;
    border-radius: calc(14px + 9px) !important;
    display: inline-block !important;
    font-weight: 500 !important;
    cursor: pointer !important;
    position: relative !important;
    z-index: 1 !important;
    background: transparent !important;
    color: #A1A1A1 !important;
    margin-left: 1em !important;
    margin-right: 0 !important;
}

.points:hover {
    cursor: pointer;
}

.rounded-lg {
    border-radius: 1.25rem !important;
}

.bg-points {
    background-color: #ECECEC;
    color: #666;
    transition: all 0.2s ease-in-out;
}

.royal-smiley-button>i {
    position: absolute !important;
    top: 50% !important;
    transform: translate(-50%, -50%) !important;
}

.header-logo {
    width: 64px;
    height: auto;
}

.no-padding {
    padding: 0;
}

.question-sub {
    color: #009239 !important;
}

.alert-secondary {
    background-color: rgb(236, 236, 236);
}

.aui.rtl .top-news-title {
    width: fit-content !important;
}

.points-skip {
    float: left !important;
}

.web-smiley-row {
	text-align: center !important;
	margin-right: 0 !important;
	margin-bottom: 15px !important;
}

.web-smiley-row > div {
	display: inline-block !important;
}

.font-weight-bold {
	font-weight: bold !important;
}

.web-smiley-points-container {
	margin-right: 50px;
	padding: 0 10px 0 15px;
}